Update Dubbing Job
curl --request PUT \
--url https://dubbing.deepdub.app/dubbing/job/{request_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"needByDate": "2024-07-01T12:00:00Z",
"metadata": {
"priority": "high"
}
}
'import requests
url = "https://dubbing.deepdub.app/dubbing/job/{request_id}"
payload = {
"needByDate": "2024-07-01T12:00:00Z",
"metadata": { "priority": "high" }
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({needByDate: '2024-07-01T12:00:00Z', metadata: {priority: 'high'}})
};
fetch('https://dubbing.deepdub.app/dubbing/job/{request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Update Dubbing Job
Update mutable fields of an existing job. Only the fields included in the request body are changed.
PUT
/
dubbing
/
job
/
{request_id}
Update Dubbing Job
Authorizations
API key issued by Deepdub. Contact your account manager to obtain one.
Path Parameters
Body
application/json
Response
Successful Response
⌘I
